osl::record::csa::InputStream Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::record::csa::InputStream Class Reference

`#include <csaRecord.h>`

Inheritance diagram for osl::record::csa::InputStream:
[legend]
Collaboration diagram for osl::record::csa::InputStream:
[legend]

## Public Member Functions
| InputStream (std::istream &is)
| InputStream (std::istream &is, boost::shared_ptr< RecordVisitor > rv)
virtual | ~InputStream ()
virtual void | load (Record *)
const SimpleState & | getState () const
Public Member Functions inherited from osl::record::IRecordStream
virtual | ~IRecordStream ()

## Private Attributes
std::istream & | is
SimpleState | state
boost::shared_ptr< RecordVisitor > | rv

## Detailed Description

Definition at line 16 of file csaRecord.h.

## Constructor & Destructor Documentation

osl::record::csa::InputStream::InputStream | ( | std::istream & | is) |  |

Definition at line 204 of file csaRecord.cc.

osl::record::csa::InputStream::InputStream | ( | std::istream & | is,
|  | boost::shared_ptr< RecordVisitor > | rv
| ) |  |

osl::record::csa::InputStream::~InputStream | ( | ) |  |
| virtual

Definition at line 227 of file csaRecord.cc.

## Member Function Documentation

const SimpleState& osl::record::csa::InputStream::getState | ( | ) |  | const
| inline

Definition at line 29 of file csaRecord.h.

References state.

void osl::record::csa::InputStream::load | ( | Record * | rec) |  |
| virtual

Exceptions

  CsaIOError |

Implements osl::record::IRecordStream.

Definition at line 230 of file csaRecord.cc.

References osl::OslConfig::inUnitTest().

Referenced by osl::record::csa::CsaFile::CsaFile(), and osl::record::csa::CsaString::CsaString().

## Member Data Documentation

std::istream& osl::record::csa::InputStream::is
| private

Definition at line 19 of file csaRecord.h.

boost::shared_ptr<RecordVisitor> osl::record::csa::InputStream::rv
| private

Definition at line 21 of file csaRecord.h.

SimpleState osl::record::csa::InputStream::state
| private

Definition at line 20 of file csaRecord.h.

Referenced by getState().

The documentation for this class was generated from the following files:

- csaRecord.h
- csaRecord.cc